![Screenshots](screenshots/Minimal%20Home.png)
# [Flutter Minimal Website](https://gallery.imfast.io/flutterwebsites/minimal/)
[![Flutter Responsive Framework](https://img.shields.io/badge/flutter-responsive-brightgreen.svg?style=flat-square)](https://github.com/Codelessly/ResponsiveFramework) [![GitHub release](https://img.shields.io/github/release/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://github.com/Codelessly/FlutterMinimalWebsite/releases) [![GitHub Release Date](https://img.shields.io/github/release-date/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://github.com/Codelessly/FlutterMinimalWebsite/releases) [![GitHub issues](https://img.shields.io/github/issues/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://github.com/Codelessly/FlutterMinimalWebsite/issues) [![GitHub top language](https://img.shields.io/github/languages/top/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://github.com/Codelessly/FlutterMinimalWebsite) [![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://github.com/Codelessly/FlutterMinimalWebsite) [![Libraries.io for GitHub](https://img.shields.io/librariesio/github/Codelessly/FlutterMinimalWebsite.svg?style=flat-square)](https://libraries.io/github/Codelessly/FlutterMinimalWebsite) [![License](https://img.shields.io/badge/License-BSD%200--Clause-orange.svg)](https://opensource.org/licenses/0BSD)

<img src="assets/Minimal-Logo-iOS.png" width="128">

> ### A minimalistic website for blogs and portfolios built with Flutter.

[View Flutter Minimal Website](https://gallery.imfast.io/flutterwebsites/minimal/)

## Screenshots

|List|Post| 
|--|--|
|![Screenshots](screenshots/Minimal%20List.png)|![Screenshots](screenshots/Minimal%20Post.png)|

## About

This minimalistic website template was built as a demo for the [Flutter Responsive Framework](https://github.com/Codelessly/ResponsiveFramework) and to showcase the current state of Flutter Web. 

Flutter Minimal Website is licensed under Zero-Clause BSD and released as Emailware. If you like this project or it helped you, please leave your email for updates. Although it is not required, I'd very much appreciate it!

<a href="https://gallery.imfast.io/flutterwebsites/minimal/newsletter/" target="_blank"><img src="screenshots/Email%20Newsletter%20Signup.png"></a>


## Features

- [x] List Page
    - [X] List Items
    - [X] Pagination UI
    - [X] Continue reading button
    - [ ] Pagination generative routing
    - [ ] Infinite scroll
    - [ ] Blurb/ellipsize algorithm
    - [ ] Sidebar
    - [ ] Latest posts feature
    - [ ] Social links
    - [ ] Grid layout
- [x] Post Page
    - [X] Simple typography
    - [X] Fixed height image
    - [X] Tags
    - [X] Author box
    - [X] Pagination UI
    - [ ] Advanced typography
    - [ ] Inline image
    - [ ] Image caption
    - [ ] "Listen to post" audio player
    - [ ] Social sharing
    - [ ] Sidebar
    - [ ] Automatic next post
    - [ ] Recommended posts
- [ ] Portfolio
    - [ ] Image gallery
    - [ ] Sort by tags
    - [ ] Animated sort
    - [ ] Image overlay
    - [ ] Lightbox
- [ ] About/Contact
    - [ ] About us UI
    - [ ] Social links
    - [ ] Location map
    - [ ] Contact form
- [ ] Hero UI
    - [ ] Hero slider
    - [ ] Hero banner
    - [ ] Hero fullscreen
- [ ] Components
    - [ ] Syntax/Code highlighter
    - [ ] Dropdown menu
    - [ ] Hamburger menu
    - [ ] Charts
    - [ ] Data table
    - [ ] Popup
    - [ ] Newsletter box
- [ ] Pages
    - [ ] 404
    - [ ] Sitemap
    - [ ] Search

  
## Contributors ❤️

Minimal Template is a good start but there are still a lot of features to develop. Let's work together to expand the capabilities of Flutter Web! You can help by:

- Recommending "web ready" Flutter components to add to this project.
- Developing "web ready" components (and letting me know!) 💕
- Fork this project and build on top of it. 
- Give me advice! 

Please feel free to open an issue or reach out through one of the channel below. If you are thinking about contributing to this template, do not hesitate! There are no formal pull request requirements and I will work with you to get your contributions added.

**Design:** 
* [Ray Li](https://github.com/searchy2)

**Development:** 
* [Ray Li](https://github.com/searchy2)
* *add yourself here by contributing*

**Sponsor:** [Codelessly - No Code Automation Tools](https://codelessly.com)

<a href="mailto:ray@codelessly.com">
  <img alt="Codelessly Email"
       src="https://lh3.googleusercontent.com/yN_m90WN_HSCohXdgC2k91uSTk9dnYfoxTYwG_mv_l5_05dV2CzkQ1B6rEqH4uqdgjA=w96" />
</a>
<a href="https://codelessly.com">
  <img alt="Codelessly Website"
       src="https://lh3.googleusercontent.com/YmMGcgeO7Km9-J9vFRByov5sb7OUKetnKs8pTi0JZMDj3GVJ61GMTcTlHB7u9uHDHag=w96" />
</a>
<a href="https://twitter.com/codelessly1">
  <img alt="Codelessly Twitter"
       src="https://lh3.ggpht.com/lSLM0xhCA1RZOwaQcjhlwmsvaIQYaP3c5qbDKCgLALhydrgExnaSKZdGa8S3YtRuVA=w96" />
</a>
<a href="https://github.com/Codelessly">
  <img alt="Codelessly GitHub"
       src="https://lh3.googleusercontent.com/L15QqmKK7Vl-Ag1ZxaBqNQlXVEw58JT2BDb-ef5t2eboDh0pPSLjDgi3-aQ3Opdhhyk=w96" />
</a>
<br></br>
<a href="https://github.com/Codelessly/ResponsiveFramework">
  <img alt="Built with Responsive Framework"
       src="screenshots/Built%20with%20Responsive%20Badge.png" />
</a>&nbsp;&nbsp;&nbsp;&nbsp;
<a href="https://github.com/flutter/flutter">
  <img alt="Flutter"
       src="screenshots/Flutter%20Logo%20Banner.png" />
</a>


## License

    BSD Zero Clause License

    Copyright © 2020 Codelessly

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.